> ## Documentation Index
> Fetch the complete documentation index at: https://api.skycoach.gg/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach screenshot

> Remove a screenshot from an offer by its URL. If all screenshots are removed from an account-type offer, the offer status will be automatically changed to Draft.



## OpenAPI

````yaml /api-docs.json delete /api/shop/marketplace/offers/{offerId}/detach_screenshot
openapi: 3.0.0
info:
  title: Currency Marketplace API
  description: API documentation for Currency Marketplace
  version: 1.0.0
servers:
  - url: https://skycoach.gg/
    description: API Server
security: []
tags:
  - name: Currency Marketplace
    description: Currency Marketplace
  - name: Offers
    description: Offers
  - name: Offer Credentials
    description: Offer Credentials
paths:
  /api/shop/marketplace/offers/{offerId}/detach_screenshot:
    delete:
      tags:
        - Offers
      summary: Detach screenshot
      description: >-
        Remove a screenshot from an offer by its URL. If all screenshots are
        removed from an account-type offer, the offer status will be
        automatically changed to Draft.
      operationId: b7f3b71f2036a11b1f47bac7d0eb79ca
      parameters:
        - name: Accept
          in: header
          description: API response format
          required: true
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: offerId
          in: path
          description: ID of the offer to detach screenshot from
          required: true
          schema:
            type: integer
            example: 123849
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - screenshot_url
              properties:
                screenshot_url:
                  description: URL of the screenshot to remove
                  type: string
                  example: >-
                    /storage/uploads/product_currency_offer/screenshot/550e8400-e29b-41d4-a716-446655440000.jpg
              type: object
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: ok
                  screenshots:
                    description: Remaining screenshots after removal
                    type: array
                    items:
                      type: string
                      example: >-
                        /storage/uploads/product_currency_offer/screenshot/example.jpg
                type: object
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  screenshot_url:
                    type: array
                    items:
                      type: string
                      example: The screenshot url field is required.
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Unauthorized
                type: object
        '404':
          description: Not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Not found
                type: object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````